%global packname  googlesheets4
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.1.1
Release:          1%{?dist}
Summary:          Access Google Sheets using the Sheets API V4

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cellranger, R-cli >= 3.0.0, R-curl, R-gargle >= 1.5.0, R-glue >= 1.3.0, R-googledrive >= 2.1.0, R-httr, R-ids, R-lifecycle, R-magrittr, R-methods, R-purrr, R-rematch2, R-rlang >= 1.0.2, R-tibble >= 2.1.1, R-utils, R-vctrs >= 0.2.3, R-withr
# Suggests:  R-readr, R-rmarkdown, R-spelling, R-testthat >= 3.1.7
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cellranger
BuildRequires:    R-cli >= 3.0.0
BuildRequires:    R-curl
BuildRequires:    R-gargle >= 1.5.0
BuildRequires:    R-glue >= 1.3.0
BuildRequires:    R-googledrive >= 2.1.0
BuildRequires:    R-httr
BuildRequires:    R-ids
BuildRequires:    R-lifecycle
BuildRequires:    R-magrittr
BuildRequires:    R-methods
BuildRequires:    R-purrr
BuildRequires:    R-rematch2
BuildRequires:    R-rlang >= 1.0.2
BuildRequires:    R-tibble >= 2.1.1
BuildRequires:    R-utils
BuildRequires:    R-vctrs >= 0.2.3
BuildRequires:    R-withr


%description
Interact with Google Sheets through the Sheets API v4
<https://developers.google.com/sheets/api>. "API" is an acronym for
"application programming interface"; the Sheets API allows users to
interact with Google Sheets programmatically, instead of via a web browser.
The "v4" refers to the fact that the Sheets API is currently at version 4.
This package can read and write both the metadata and the cell data in a
Sheet.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/secret



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.1.1-1
- initial package for Fedora
